Package org.apache.lucene.facet.taxonomy

## Class TaxonomyFacetFloatAssociations

- java.lang.Object
- - org.apache.lucene.facet.Facets
  - - org.apache.lucene.facet.taxonomy.TaxonomyFacets
    - - org.apache.lucene.facet.taxonomy.FloatTaxonomyFacets
      - - org.apache.lucene.facet.taxonomy.TaxonomyFacetFloatAssociations

- Direct Known Subclasses:
    `TaxonomyFacetSumFloatAssociations`, `TaxonomyFacetSumValueSource`

      public class TaxonomyFacetFloatAssociations
      extends FloatTaxonomyFacets

  Aggregates float values associated with facet fields. Supports two different approaches:
  1. Fields can be indexed with `FloatAssociationFacetField`, associating weights with facet values at indexing time.
  2. Fields can be indexed with `FacetField` and a `DoubleValuesSource` can dynamically supply a weight from each doc. With this approach, the document's weight gets contributed to each facet value associated with the doc.
  Aggregation logic is supplied by the provided `FloatAssociationFacetField`.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.facet.taxonomy.FloatTaxonomyFacets

      `aggregationFunction, values`

    - ### Fields inherited from class org.apache.lucene.facet.taxonomy.TaxonomyFacets

      `config, indexFieldName, taxoReader`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaxonomyFacetFloatAssociations​(String indexFieldName, TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc, AssociationAggregationFunction aggregationFunction)` | Create `TaxonomyFacetFloatAssociations` against the specified index field.
    `TaxonomyFacetFloatAssociations​(String indexFieldName, TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc, AssociationAggregationFunction aggregationFunction, DoubleValuesSource valuesSource)` | Create `TaxonomyFacetFloatAssociations` against the specified index field.
    `TaxonomyFacetFloatAssociations​(OrdinalsReader ordinalsReader, TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc, AssociationAggregationFunction aggregationFunction, DoubleValuesSource valuesSource)` | Deprecated. Custom binary encodings for taxonomy ordinals are no longer supported starting with Lucene 9
    `TaxonomyFacetFloatAssociations​(TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc, AssociationAggregationFunction aggregationFunction)` | Create `TaxonomyFacetFloatAssociations` against the default index field.
    `TaxonomyFacetFloatAssociations​(TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc, AssociationAggregationFunction aggregationFunction, DoubleValuesSource valuesSource)` | Create `TaxonomyFacetFloatAssociations` against the default index field.

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.facet.taxonomy.FloatTaxonomyFacets

      `getAllChildren, getSpecificValue, getTopChildren, getTopDims, rollup`

    - ### Methods inherited from class org.apache.lucene.facet.taxonomy.TaxonomyFacets

      `childrenLoaded, getAllDims, siblingsLoaded, verifyDim`

    - ### Methods inherited from class org.apache.lucene.facet.Facets

      `validateTopN`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaxonomyFacetFloatAssociations

          public TaxonomyFacetFloatAssociations​(TaxonomyReader taxoReader,
                                                FacetsConfig config,
                                                FacetsCollector fc,
                                                AssociationAggregationFunction aggregationFunction)
                                         throws IOException

      Create `TaxonomyFacetFloatAssociations` against the default index field.
      Throws:
        `IOException`

    - #### TaxonomyFacetFloatAssociations

          public TaxonomyFacetFloatAssociations​(TaxonomyReader taxoReader,
                                                FacetsConfig config,
                                                FacetsCollector fc,
                                                AssociationAggregationFunction aggregationFunction,
                                                DoubleValuesSource valuesSource)
                                         throws IOException

      Create `TaxonomyFacetFloatAssociations` against the default index field. Sources values from the provided `valuesSource`.
      Throws:
        `IOException`

    - #### TaxonomyFacetFloatAssociations

          public TaxonomyFacetFloatAssociations​(String indexFieldName,
                                                TaxonomyReader taxoReader,
                                                FacetsConfig config,
                                                FacetsCollector fc,
                                                AssociationAggregationFunction aggregationFunction)
                                         throws IOException

      Create `TaxonomyFacetFloatAssociations` against the specified index field.
      Throws:
        `IOException`

    - #### TaxonomyFacetFloatAssociations

          public TaxonomyFacetFloatAssociations​(String indexFieldName,
                                                TaxonomyReader taxoReader,
                                                FacetsConfig config,
                                                FacetsCollector fc,
                                                AssociationAggregationFunction aggregationFunction,
                                                DoubleValuesSource valuesSource)
                                         throws IOException

      Create `TaxonomyFacetFloatAssociations` against the specified index field. Sources values from the provided `valuesSource`.
      Throws:
        `IOException`

    - #### TaxonomyFacetFloatAssociations

          @Deprecated
          public TaxonomyFacetFloatAssociations​(OrdinalsReader ordinalsReader,
                                                TaxonomyReader taxoReader,
                                                FacetsConfig config,
                                                FacetsCollector fc,
                                                AssociationAggregationFunction aggregationFunction,
                                                DoubleValuesSource valuesSource)
                                         throws IOException

      Deprecated.
      Custom binary encodings for taxonomy ordinals are no longer supported starting with Lucene 9
      Create `TaxonomyFacetFloatAssociations` against the specified index field. Sources values from the provided `valuesSource`.
      Throws:
        `IOException`